﻿@model AEWeb.ViewModels.KPI.KpiColumnBarPieChartViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}

<div class="ibox ">
    <div class="ibox-title">
        <div class="ibox-tools">
            <span class="label label-success float-right">@Model.PeriodName</span>
        </div>
        <a href="#" data-toggle="modal" data-target="#@Model.IdForInfoModal"><i class="fa fa-info-circle"></i></a>
        &nbsp;<a href="#"><i class="fa fa-eye"></i></a>&nbsp;
        @if (Model.Filters.Count > 0)
        {
            foreach (var filter in Model.Filters)
            {
                @Html.Raw(filter.ToString() + "<a href=\"#\"><i class=\"fa fa-filter\"></i></a>&nbsp;&nbsp;")
            }
        }
        <h5>
            @Model.Title
        </h5>
    </div>
    <div class="ibox-content">
        <div id="@Model.IdForDiv" style="width:100%">
            <div data-chart-categories="@Model.Categories"
                    data-chart-series='@Model.Series(Model.Type == Domain.Enums.Indicators.KpiViewModelType.Donut_MultiSeries)'>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="@Model.IdForInfoModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">@Model.Title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @Model.ValueDescription
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        @Html.Raw(Model.DoScript)
    });
</script>
